<?php

// Работаем в корневой директории
chdir('../../');
require_once('payment/RBSPayment/RBSPayment.php');
$rbs = new RBSPayment();
$callback = $rbs->allowCallbacks;

if (isset($_GET['mdOrder'])) {
    $external_order_id = $_GET['mdOrder'];
    $callback = true;

} elseif (isset($_GET['orderId'])) {
    $external_order_id = $_GET['orderId'];
    $order_id = intval($_GET['o']);

    $order = $rbs->orders->get_order(intval($order_id));
    if (empty($order))
        errorlink('Оплачиваемый заказ не найден');

    // Нельзя оплатить уже оплаченный заказ
    if ($order->paid)
        errorlink('Этот заказ уже оплачен');
}


$method = $rbs->payment->get_payment_method(intval($order->payment_method_id));
if (empty($method))
    errorlink("Неизвестный метод оплаты");

$settings = unserialize($method->settings);
$data = array(
    'userName' => $settings['merchant'],
    'password' => $settings['password'],
    'orderId' => $external_order_id
);

if ($settings['test_mode'] == 1) {
    $action_adr = RBS_TEST_URL;
} else {
    $action_adr = RBS_PROD_URL;
}
$action_adr .= "getOrderStatusExtended.do";

$response = $rbs->_sendGatewayData(http_build_query($args, '', '&'), $action_adr);
$response = json_decode($response, true);

$orderStatus = $response['orderStatus'];

if ($orderStatus == '1' || $orderStatus == '2') {

    $internal_order = explode("_", $response['orderNumber'])[0];

    // update order state
    $rbs->orders->update_order(intval($internal_order), array('paid' => 1));
    // reducing
    $rbs->orders->close($internal_order);

//    $rbs->notify->email_order_user(intval($order->id));
//    $rbs->notify->email_order_admin(intval($order->id));

    header("Location: " . $rbs->config->root_url . '/order/' . $order->url);

} else {
    echo $response['actionCodeDescription'];
    echo "<br/>перейти <a href='" . $rbs->config->root_url . '/order/' . $order->url. "'>на страницу заказа</a>";
    die();
}
